﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.Themes;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGrid_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Item> Items { get; set; }
        public ObservableCollection<QuantityInfo> ComboItems { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            
            this.DataContext = this;
            this.Items = GetData();
            this.ComboItems = GetComboData();
            
        }

        private ObservableCollection<Item> GetData()
        {
            return new ObservableCollection<Item>()
            {
                new Item("Item 1", 200, new QuantityInfo(2)),
                new Item("Item 2", 700, new QuantityInfo(7)),
                new Item("Item 3", 350, new QuantityInfo(3)),
                new Item("Item 4", 50, new QuantityInfo(2)),
                new Item("Item 5", 38, new QuantityInfo(7))
            };
        }

        private ObservableCollection<QuantityInfo> GetComboData()
        {
            var infos = new ObservableCollection<QuantityInfo>();

            for (int i = 0; i < 10; i++)
            {
                infos.Add(new QuantityInfo(i));
            }

            return infos;
        }        
    }
}
